""""The setup script."""

from setuptools import setup, find_packages

with open('README.md') as readme_file:
    readme = readme_file.read()

with open('HISTORY.rst') as history_file:
    history = history_file.read()

requirements = [
    'click>=6.7',
    'requests>=2.18.4',
    'wikipedia>=1.4.0',
]

setup_requirements = [
    'pytest-runner',
    'pytest-cov',
]

test_requirements = [
    'pytest',
]

setup(
    author="AssemblyAI",
    author_email='robot@assemblyai.com',
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Natural Language :: English',
        "Programming Language :: Python :: 2",
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3.6',
    ],
    description="Python package for AssemblyAI",
    entry_points={
        'console_scripts': [
            'assemblyai=assemblyai.cli:main',
        ],
    },
    install_requires=requirements,
    license="MIT license",
    long_description_content_type="text/markdown",
    long_description=readme,  # + '\n\n' + history,
    include_package_data=True,
    keywords='assemblyai',
    name='assemblyai',
    packages=find_packages(include=['assemblyai']),
    setup_requires=setup_requirements,
    test_suite='tests',
    tests_require=test_requirements,
    url='https://github.com/assemblyai/assemblyai-python-sdk',
    version='0.1.11',
    zip_safe=False,
)
